> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/users/me

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/users/me
```

## Supported methods and overview&#x20;

* `GET` - used to retrieve information about the currently authenticated Covata user<sup>\*</sup>.
* `PUT` - used to modify the account details of the currently authenticated Covata user.

> [!NOTE]
>
> The `GET` method takes no parameters.

## Detailed description&#x20;

This API endpoint serves a number of purposes:

* Retrieves a detailed set of information about the currently authenticated Covata user<sup>\*</sup>.
* Modifies the account details of the currently authenticated Covata user. \

  **Note:** These account details can also be modified through the [My Account](/3.2/user/managing-your-account.md#updating-your-account-details) feature of the [Safe Share web application](/3.2/user.md).

## Supported roles and conditions&#x20;

This API endpoint supports the following Covata user roles (as described in the [Covata Platform Administrator's Guide](/3.2/admin.md)) and conditions:

* [Originator](/3.2/admin-org/administering-users-within-an-organisation.md#originator-role)
* [Collaborator](/3.2/admin-org/administering-users-within-an-organisation.md#collaborator-role)
* [Ad hoc](/3.2/admin-org/administering-users-within-an-organisation.md#adhoc-role) - a Covata user with this role can call the `GET` method only.
* System administrator
* User administrator

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the [header](/3.2/api/access-service-api-v1-users-me.md#access-service-api-v1-users-me-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6`

The following header is required if the body of the request has a JSON object:

* `Content-Type: application/json`

## Optional parameters&#x20;

The following parameters can also be sent in the body of the PUT request, each as individual members of a JSON object:

* **firstName** - .
* **lastName** - .
* **otherName** - .
* **mobileNumber** - .

  **Example ():**

Although specifying none of the parameters above in a PUT request serves no purpose, an empty JSON object must at least be passed in the body of PUT requests to this endpoint for a successful response:

* `{}`

## Returns&#x20;

A JSON-formatted response containing the following members:

* **externalUserId** - .
* **email** - .
* **firstName** - .
* **lastName** - .
* **otherName** - .
* **mobileNumber** - .
* **plan** - .

  * **name** - .
  * **description** - .
  * **quota** - .
* **notificationFrequency** - .
* **lastLoginIp** - .
* **lastLoginClient** - .
* **id** - .
* **lastLoginTime** - .
* **accountType** - .
* **roles** - .

  **Example (response from ...):**

<sup>\*</sup> The currently authenticated user is determined by the access token passed in the [header](/3.2/api/access-service-api-v1-users-me.md#access-service-api-v1-users-me-required-headers) of requests to this endpoint.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.